const { BaiduTranslate } = require("./supplier/baidu/BaiduTRanslate");


class TranslateFactory {
  static getInstance(supplier, options) {
    switch (supplier) {
      case "baidu":
        return new BaiduTranslate(options);
      default:
        return new BaiduTranslate(options);
    }
  }

}


exports.TranslateFactory = TranslateFactory;